# Class PojoMessageHandlerPartialBinary

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<ByteBuffer>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<ByteBuffer>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBinary

All Implemented Interfaces:
  `MessageHandler, MessageHandler.Partial<ByteBuffer>, WrappedMessageHandler`

public class PojoMessageHandlerPartialBinary extends PojoMessageHandlerPartialBase<ByteBuffer>
ByteBuffer specific concrete implementation for handling partial messages.

## Nested Class Summary

### Nested classes/interfaces inherited from interface MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

## Field Summary

### Fields inherited from class PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

## Constructor Summary

Constructors
Constructor
Description
`PojoMessageHandlerPartialBinary(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`

## Method Summary

### Methods inherited from class PojoMessageHandlerPartialBase

`onMessage`

### Methods inherited from class PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoMessageHandlerPartialBinary

public PojoMessageHandlerPartialBinary(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)